# TV :	DON'T USE find_lang on gimp, it only guess gimp.mo not
# imp-std-plugins.mo and gimp-script-fu.mo

%define lib_major 1
%define lib_minor 2
%define revision  3
#%define pre		  -pre2
%define subver    %lib_major.%lib_minor
%define ver       %{subver}.%{revision}
%define rel		5mdk
%define major	%{subver}_%{lib_major}
%define libname lib%{name}%{major}

Summary:		The GNU Image Manipulation Program
Name:			gimp
Epoch:			1
Version:		%ver
Release:		%rel
License:		GPL
Group:			Graphics
URL:			http://www.gimp.org/

Source:			ftp://ftp.gimp.org/pub/gimp/v%{subver}/v%{PACKAGE_VERSION}/gimp-%{PACKAGE_VERSION}.tar.bz2
#Source1:		gimp.xpm.bz2
#Source2:		mini-gimp.xpm.bz2
Source3:		gimp.desktop
Source10:		gimp-16.png
Source11:		gimp-32.png
Source12:		gimp-48.png
Source13:		gimp-scripting-sample.pl

Patch1:			gimp-1.1.23-perlpath.patch.bz2
Patch2:			gimp-1.1.32-tv_mpeg.patch.bz2
Patch3:         gimp-1.2.2-pre3-scalable-font-only.patch.bz2
Patch4:			gimp-perl-gc.diff.bz2
BuildRoot:		%{_tmppath}/%{name}-buildroot
Obsoletes:		gimp-data-min
Provides:		gimp-data-min
Requires:		libbmpeg libpng libjpeg gtk+ >= 1.2.8 glib >= 1.2.8 zlib
Requires:		%{libname}, perl-PDL, aalib, perl >= 5.6.1
Requires:		gimp-perl
Provides:		hackgimp
BuildRequires: 	libbmpeg-devel, libpng-devel, libjpeg-devel, aalib-devel, xpm-devel, gpm-devel, gnome-libs-devel, ncurses-devel, slang-devel, libtiff-devel, perl-devel, perl-Parse-RecDescent, perl-PDL, perl-GTK

%description
The GIMP is an image manipulation program suitable for photo retouching,
image composition and image authoring.  Many people find it extremely useful
in creating logos and other graphics for web pages.  The GIMP has many of the
tools and filters you would expect to find in similar commercial offerings,
and some interesting extras as well.

The GIMP provides a large image manipulation toolbox, including channel
operations and layers, effects, sub-pixel imaging and anti-aliasing,
and conversions, all with multi-level undo.

This version of The GIMP includes a scripting facility, but many of the
included scripts rely on fonts that we cannot distribute.  The GIMP ftp
site has a package of fonts that you can install by yourself, which
includes all the fonts needed to run the included scripts.  Some of the
fonts have unusual licensing requirements; all the licenses are documented
in the package.  Get ftp://ftp.gimp.org/pub/gimp/fonts/freefonts-0.10.tar.gz
and ftp://ftp.gimp.org/pub/gimp/fonts/sharefonts-0.10.tar.gz if you are so
inclined.  Alternatively, choose fonts which exist on your system before
running the scripts.

%package -n %{libname}-devel
Summary:	GIMP plugin and extension development kit
Group:		Development/C
Requires:	libgtk+1.2-devel
Prereq:		/sbin/install-info
Epoch:		1
Requires:	%{libname} = %version-%release
Provides: gimp-devel
Provides: libgimp-devel = %version-%release
Provides: libgimp1.2-devel = %version-%release
Provides: libgimp1.1_32-devel
Obsoletes: libgimp1.1_32-devel

%description -n %{libname}-devel
Static libraries and header files for writing GIMP plugins and extensions.

%package -n %{libname}
Summary:	GIMP libraries
Group:		System/Libraries
Epoch:		1
License:	LGPL
Provides:	gimp-libgimp libgck.so.1 libgimp.so.1 libgimpui.so.1
Provides:	libgimp = %version-%release
Obsoletes:  libgimp1.1_32
Provides:   libgimp1.1_32

%description -n %{libname}
Libraries used to communicate between The GIMP and other programs which
may function as "GIMP plugins".

%package perl
Summary:	GIMP perl extensions and plugins
Group:		Graphics
Requires:	gimp = %version-%release
Requires:	perl => 5.601

%description perl
The gimp-perl package contains all the perl extensions and perl plugins. 

%prep
%setup -q -n %{name}-%{version}
%patch1 -p1 
%patch2 -p1 
%patch3 -p1 
%patch4 -p0

%build
%ifarch %ix86 ppc
RPM_OPT_FLAGS="$RPM_OPT_FLAGS -ffast-math"
%endif

%ifarch alpha
MYARCH_FLAGS="--host=alpha-mandrake-linux"
%endif
perl -pi -e "s/(<|\"|-l| )mpeg/\1bmpeg/g" configure

#%configure --mandir=$RPM_BUILD_ROOT%{_mandir} --with-mp=yes
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=%{_prefix} --sysconfdir=%{_sysconfdir} \
	--mandir=$RPM_BUILD_ROOT%{_mandir} \
	--with-mp=yes

perl -pi -e 's!-Wl,-rpath,/usr/lib/perl5/5.6.1/i386-linux/CORE!!g' plugins/perl/Makefile

#TV : we don't use %%make here because it broke the build some times,
#depending on the order in which make launch some jobs
make

gzip -9 docs/*ps

%install
rm -fr $RPM_BUILD_ROOT

mkdir PERL||true
cp -af plug-ins/perl/{AUTHORS,COPYING,COPYING.Artistic,COPYING.GNU,MANIFEST,TODO} PERL/

mkdir -p $RPM_BUILD_ROOT/{%{_menudir},%{_infodir},%{_iconsdir}/mini,%{_includedir},%{_bindir},%{_libdir}/gimp/%{subver}/plug-ins,etc/X11/wmconfig,%{_sysconfdir}}

make prefix=$RPM_BUILD_ROOT/%{_prefix} \
     bindir=$RPM_BUILD_ROOT/%{_bindir} \
     libdir=$RPM_BUILD_ROOT/%{_libdir} \
     mandir=$RPM_BUILD_ROOT/%{_mandir} \
     infodir=$RPM_BUILD_ROOT/%{_infodir} \
     datadir=$RPM_BUILD_ROOT/%{_datadir} \
     includedir=$RPM_BUILD_ROOT/%{_includedir} \
     gimpplugindir=$RPM_BUILD_ROOT/%{_libdir}/gimp/%{subver} \
     gimpdatadir=$RPM_BUILD_ROOT/%{_datadir}/gimp/%{subver} \
     PREFIX=$RPM_BUILD_ROOT/%{_prefix} \
     INSTALLMAN3DIR=$RPM_BUILD_ROOT%{_libdir}/perl5/man/man3 \
     INSTALLMAN1DIR=$RPM_BUILD_ROOT/%{_mandir}/man1 \
     gimpsysconfdir=$RPM_BUILD_ROOT/%{_sysconfdir}/%{name}/%{subver} \
     sysconfdir=$RPM_BUILD_ROOT/%{_sysconfdir}/ \
     install

#
# Remove the GIMP-Print plugin
#
rm $RPM_BUILD_ROOT/%{_libdir}/gimp/%{subver}/plug-ins/print

#
# This perl madness will drive me batty
#
eval perl '-V:archname'
%{_datadir}/spec-helper/spec-helper||true
find $RPM_BUILD_ROOT/%{_prefix}/lib/perl5 -type f -print | sed "s@^$RPM_BUILD_ROOT@@g" | sed "s/\.3$/.3.bz2/" | fgrep -v perllocal.pod > gimp-perl

#
# Plugins and modules change often (grab the executeable ones)
#
echo "%defattr (0755, root, root)" > gimp-plugin.files
find $RPM_BUILD_ROOT/%{_libdir}/gimp/%{subver} -type f | xargs file | fgrep -v perl | fgrep -v %{_libdir}/gimp/1.1/modules/.*\.a$ | cut -d':' -f 1 | sed "s@^$RPM_BUILD_ROOT@@g"   >>gimp-plugin.files

#
# Now pull the perl ones out.
#
echo "%defattr (0755, root, root)" > gimp-perl-plugin.files
echo "%dir %{_libdir}/gimp/%{subver}/plug-ins" >> gimp-perl-plugin.files
find $RPM_BUILD_ROOT/%{_libdir}/gimp/%{subver} -type f |xargs file {} \; | fgrep perl | cut -d':' -f 1 | sed "s@^$RPM_BUILD_ROOT@@g"  >>gimp-perl-plugin.files

#
# Auto detect the lang files.
#
if [ -f %{_libdir}/rpm/find-lang.sh ] ; then
 %{_libdir}/rpm/find-lang.sh $RPM_BUILD_ROOT %{name}
 %{_libdir}/rpm/find-lang.sh $RPM_BUILD_ROOT gimp-std-plugins
 %{_libdir}/rpm/find-lang.sh $RPM_BUILD_ROOT gimp-script-fu
 cat %{name}.lang gimp-std-plugins.lang gimp-script-fu.lang \
    | sed "s:(644, root, root, 755):(444, bin, bin, 755):" > gimp-all.lang
fi

#
# Tips
#
echo "%defattr (444, root, root, 755)" >gimp-tips.files
echo "%{_datadir}/gimp/%{subver}/tips/gimp_tips.txt" >> gimp-tips.files
for I in `ls $RPM_BUILD_ROOT/%{_datadir}/gimp/%{subver}/tips/gimp*.[a-z]*.txt | sed "s@^$RPM_BUILD_ROOT/@@g"`; do
   tip_lang=`basename $I | cut -d'.' -f2`
   echo "%lang($tip_lang)    $I" >> gimp-tips.files
done

#
# Build the master filelists generated from the above mess.
#
cat gimp-plugin.files gimp-all.lang gimp-tips.files|fgrep -v /modules > gimp.files
echo "%defattr (755, root, root, 755)" > gimp-perl.files
cat gimp-perl gimp-perl-plugin.files >> gimp-perl.files

# install desktop entry (does Mandrake need this ?)
mkdir -p %{buildroot}/etc/X11/applnk/Graphics
install -m 644 %SOURCE3 %{buildroot}/etc/X11/applnk/Graphics

#cd docs
#make prefix=$RPM_BUILD_ROOT/usr install

mkdir -p $RPM_BUILD_ROOT%{_iconsdir}/{large,mini}
cat %{SOURCE10} > $RPM_BUILD_ROOT%{_iconsdir}/mini/wilbur.png
cat %{SOURCE11} > $RPM_BUILD_ROOT%{_iconsdir}/wilbur.png
cat %{SOURCE12} > $RPM_BUILD_ROOT%{_iconsdir}/large/wilbur.png

cat >$RPM_BUILD_ROOT%{_menudir}/gimp <<EOF
?package(gimp): command="gimp" icon="wilbur.png" section="Multimedia/Graphics" title="The GIMP" longtitle="The GNU Image Manipulation Program" needs="x11" mimetypes="image/gif;image/jpeg;image/png;image/tiff;image/x-xbm;image/x-xpm;image/bmp;image/fits;image/pcx;image/pix;image/pnm;image/x-bmp"
EOF


pushd $RPM_BUILD_ROOT%{_libdir}/
# compat symlink to get stuff working.
/sbin/ldconfig -n $PWD -v
ln -s libgimp-%{subver}.so.%{lib_major}.0.1 libgimp.so.%{lib_major}
ln -s libgimpui-%{subver}.so.%{lib_major}.0.1 libgimpui.so.%{lib_major}
ln -s libgck-%{subver}.so.%{lib_major}.0.1 libgck.so.%{lib_major}
popd

#pushd $RPM_BUILD_ROOT
#find usr/share/gimp | sed 's|^|/|' > $RPM_BUILD_DIR/%{name}-%{version}/gimp-help.lst
#popd

cp -f %SOURCE13 .


%find_lang gimp
%find_lang gimp-perl
cat gimp-perl.files >> gimp-perl.lang

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -f gimp.files
%attr(-,root,root) %config(missingok,noreplace) /etc/X11/applnk/Graphics/gimp.desktop
%defattr(-,root,root,0755)
%dir %{_libdir}/gimp
%dir %{_libdir}/gimp/%{subver}
%dir %{_libdir}/gimp/%{subver}/plug-ins
%dir %{_datadir}/icons/mini
%dir %{_datadir}/gimp/%{subver}/tips
%dir %{_datadir}/gimp/%{subver}/patterns
%dir %{_datadir}/gimp/%{subver}/scripts
%dir %{_datadir}/gimp/%{subver}/brushes
%dir %{_datadir}/gimp/%{subver}/devel-docs
%dir %{_datadir}/gimp/%{subver}/devel-docs/html
%dir %{_datadir}/gimp/%{subver}/devel-docs/html/libgimp
%dir %{_datadir}/gimp/%{subver}/fractalexplorer
%dir %{_datadir}/gimp/%{subver}/gfig
%dir %{_datadir}/gimp/%{subver}/gflare
%dir %{_datadir}/gimp/%{subver}/gflare/Bright_Star
%dir %{_datadir}/gimp/%{subver}/gflare/Classic
%dir %{_datadir}/gimp/%{subver}/gflare/Default
%dir %{_datadir}/gimp/%{subver}/gflare/Distant_Sun
%dir %{_datadir}/gimp/%{subver}/gflare/GFlare_101
%dir %{_datadir}/gimp/%{subver}/gflare/GFlare_102
%dir %{_datadir}/gimp/%{subver}/gflare/Hidden_Planet
%dir %{_datadir}/gimp/%{subver}/gimpressionist/Brushes
%dir %{_datadir}/gimp/%{subver}/gimpressionist/
%dir %{_datadir}/gimp/%{subver}/gimpressionist/Paper
%dir %{_datadir}/gimp/%{subver}/gimpressionist/Presets
%dir %{_datadir}/gimp/%{subver}/gradients
%dir %{_datadir}/gimp/%{subver}/palettes

%{_iconsdir}/mini/wilbur.png
%{_iconsdir}/large/wilbur.png
%{_iconsdir}/wilbur.png
%{_menudir}/gimp
# Don't include this file, it's part of printer-utils
#%_bindir/escputil
%{_bindir}/gimp
%{_bindir}/gimp-1.2
%_bindir/gimp-remote
%_bindir/gimp-remote-1.2
%{_bindir}/gimpdoc
%{_bindir}/embedxpm
%{_bindir}/xcftopnm
%{_datadir}/gimp/%{subver}/scripts/*
%{_datadir}/gimp/%{subver}/fractalexplorer/*
%{_datadir}/gimp/%{subver}/gfig/*
%{_datadir}/gimp/%{subver}/gimpressionist/Presets/*
%{_datadir}/gimp/%{subver}/gimpressionist/Brushes/*
%{_datadir}/gimp/%{subver}/gimpressionist/Paper/*
%{_datadir}/gimp/%{subver}/gradients/*
%{_datadir}/gimp/%{subver}/palettes/*
%{_datadir}/gimp/%{subver}/patterns/*
%{_datadir}/gimp/%{subver}/brushes/*
%{_datadir}/gimp/%{subver}/help
%{_datadir}/gimp/%{subver}/user_install
%{_datadir}/gimp/%{subver}/gimp_logo.ppm
%{_datadir}/gimp/%{subver}/gimp_splash.ppm
%config(noreplace) %{_sysconfdir}/gimp/%{subver}/gimprc
%config(noreplace) %{_sysconfdir}/gimp/%{subver}/gimprc_user
%config(noreplace) %{_sysconfdir}/gimp/%{subver}/gtkrc
%config(noreplace) %{_sysconfdir}/gimp/1.2/gtkrc_user
%config(noreplace) %{_sysconfdir}/gimp/%{subver}/unitrc
%config(noreplace) %{_sysconfdir}/gimp/%{subver}/ps-menurc
%{_mandir}/man1/gimp.1*
%{_mandir}/man1/gimp-1.2.1*
%_mandir/man1/embedxpm*
# Don't include this file, it's part of printer-utils
#%_mandir/man1/escputil*
%_mandir/man1/gimp-remote*
%_mandir/man1/xcftopnm*
%{_mandir}/man5/gimprc.5*
%{_mandir}/man5/gimprc-1.2.5*
%doc AUTHORS COPYING ChangeLog* MAINTAINERS INSTALL NEWS README TODO
%doc PLUGIN_MAINTAINERS docs/*.txt docs/*ps* docs/Wilber* ABOUT-NLS README.i18n
%doc README.perl README.win32 TODO

%files -n %{libname}-devel
%defattr(-,root,root,0755)
%{_bindir}/gimptool
%{_bindir}/gimptool-1.2
%{_bindir}/gimp-config
#%{_datadir}/gimp/%{subver}/devel-docs/html/libgimp/*
%{_datadir}/aclocal/gimp.m4
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_libdir}/gimp/%{subver}/modules/*.la
%{_libdir}/gimp/%{subver}/modules/*.a
%{_mandir}/man1/gimptool.1*
%{_mandir}/man1/gimptool-1.2.1*



%files -n %{libname}
%defattr(-,root,root,755)
%doc COPYING
%dir %{_libdir}/gimp/%{subver}/modules/
%{_libdir}/gimp/%{subver}/modules/*.so
%{_libdir}/libgimp*.so.*
%{_libdir}/libgck*.so.*

%files perl -f gimp-perl.files -f gimp-perl.lang
%defattr(-,root,root)
%doc README.perl PERL/* gimp-scripting-sample.pl
# Don't include this file it conflicts with perl-ldap
#%_libdir/perl5/5.6.1/%_arch-linux/perllocal.pod


%changelog
* Tue Mar 05 2002 David BAUDENS <baudens@mandrakesoft.com> 1.2.3-5mdk
- Fix bmp support for KDE

* Sat Feb 23 2002 Frederic Lepied <flepied@mandrakesoft.com> 1.2.3-4mdk
- added BuildRequires perl-GTK, perl-Parse-RecDescent and perl-PDL to build
  a correct gimp-perl

* Wed Feb 13 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.3-3mdk
- add versionated man-pages too
- gimp requires gimp-perl because of gimp-doc (frederic crozat)

* Tue Feb 12 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.3-2mdk
- let gimp-perl requires right perl

* Tue Feb 12 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.3-1mdk
- new release

* Tue Jan 29 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.3-0.3mdk
- xpm -> png icons

* Sun Jan 06 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.3-0.2mdk
- put man-pages in right place (reported by Goetz Waschk)

* Fri Nov 09 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.3-0.1mdk
- 1.2.3-pre2
- only one place to update version number
- gimp-perl example from guillaume
- fix gimp-perl man-page (Guillaume)

* Tue Oct 16 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.2-12mdk
- add missing files to gimp-perl (%%files with multiples -f doesn't work)

* Thu Oct 11 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.2-11mdk
- xed detection of libbmpeg (Gtz Waschk)
- remove old stuff from pre3

* Wed Oct 10 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.2-10mdk
- s!Serial!Epoch!g

* Wed Oct 10 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.2-9mdk
- \pakontan{suppress the 25 errors that dadou introduced aka
	'Dadou - Quick and dirty hack before 8.1' }
  you should have use %%find_lang, little jedi :-(

* Wed Oct 10 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.2-8mdk
- provides obsoletes

* Fri Sep 28 2001 Stefan van der Eijk <stefan@eijk.nu> 1.2.2-7mdk
- rebuild libgimp1.2_1-devel-1.2.2-6mdk was lost on mirrors
- replace reference of RPM SOURCE DIR
- Copyright --> License
- bzipped patch

* Fri Sep 21 2001 Pixel <pixel@mandrakesoft.com> 1.2.2-6md
- add patch gimp-1.2.2-pre3-scalable-font-only.patch.bz2 which forces the font
selection dialog to only accept scalable font (needed since gimp forces the
dpi of the font to dpi of the image, and so fails on non-scalable fonts)

* Wed Sep 19 2001 David BAUDENS <baudens@mandrakesoft.com> 1.2.2-5mdk
- Fix conflict with printer-utils and perl-ldap

* Tue Sep 18 2001 David BAUDENS <baudens@mandrakesoft.com> 1.2.2-4mdk
- Fix menu (mimetype)
- Add missing files
- Requires: %%version-%%release and not only %%version

* Mon Aug 06 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.2-3mdk
- make rpmlint happier
- add some doc for gimp-perl

* Tue Aug  3 2001 Till Kamppeter <till@mandrakesoft.com> 1.2.2-2mdk
- GIMP-Print plugin removed (will be provided by the "gimpprint" package)

* Fri Jul 27 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.2-1mdk
- new release

* Tue Jul 17 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.2-0.4mdk
- s!serial!epoch
- s/>=/ >= / (jeff)

* Mon Jul 16 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.2-0.3mdk
- versionnate the perl dependancy (Christian Bricart)
- libgimp-devel provides libgimp1.2-devel and not only
  %%{libname}-devel = %%{version}
- add missing so links
- fix perm on perl plug-ins directory

* Wed Jul 11 2001 Stefan van der Eijk <stefan@eijk.nu> 1.2.2-0.2mdk
- BuildRequires: slang-devel
- Removed BuildRequires: glib-devel gtk+-devel slang XFree86-devel zlib-devel

* Wed Jul 11 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.2-0.1mdk
- 1.2.2-pre3 (1.2.2'll come soon)
- clean support for lib major

* Wed May 30 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.1-6mdk
- fix lost symlinks
- various spec cleaning

* Fri Mar 16 2001 Francis Galiegue <fg@mandrakesoft.com> 1.2.1-5mdk

- Really make MPEG plugin compile

* Wed Mar 14 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.1-4mdk
- build release

* Wed Feb 28 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.1-3mdk
- provides	libgimp = %{version} rather than %%{libgimp}

* Tue Feb 06 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.1-2mdk
- remove lib links created by make since they break multiple lib install
  and let ldconfig make them at install time
- remove old gimp-print patch whis is no more used for a while
- few spec simplification

* Tue Jan 23 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.1-1mdk
- bugfix release

* Tue Jan 23 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.0-3mdk
- new release

* Wed Jan 10 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.0-3mdk
- add perl-devel to BuildRequires

* Mon Jan 08 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.0-2mdk
- explain the fix for broken build
- move the .so modules from libgimp in gimp so that one can install different
  version of it without conflicting (idem for lib symlink)
- now obsoletes previous libgimp1.x.y and -devel too so that it gets
  automatically removed from mirrors. The righ solution is, of course, that all
  distro agree on a stable ABI for binary compatibility between us
  and to put 1.2 as major for the lib and not the 31 from 1.1.31 for eg.

* Tue Dec 26 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.2.0-1mdk
- from the nice people at gimp we get a new 1.2.0 stable version.

* Thu Dec 21 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.32-1mdk
- new latest_release_before_1.2final :-)
- ok, just found why some people see broken build with linking errors : it
  seems to be related to make -j => i just disabled MP build

* Tue Dec 12 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.30-1mdk
- new version

* Wed Dec 06 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.29-4mdk
- rename gimp-libgimp as libgimp

* Wed Dec 06 2000 David BAUDENS <baudens@mandrakesoft.com> 1.1.29-3mdk
- PPC: rebuild with gcc-2.96 (egcs no longer needed :)

* Wed Nov 08 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.29-2mdk
- make rpmlint happier

* Wed Nov 08 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.29-1mdk
- new release

* Tue Oct 17 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.28-1mdk
-  new release
- fix building

* Thu Oct 12 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.27-1mdk
- new release

* Fri Oct  6 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.1.25-12mdk
- Fix menus (titisuchi).

* Thu Oct 05 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.25-11mdk
- rename icons

* Wed Oct 04 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.25-10mdk
- readd gimp to mime menu of kde from Gregory Letoquart (f**cking broken
  ml :-(; next time mail the rpm maintainner)

* Wed Oct 04 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.25-9mdk
- better icons in menus

* Wed Oct 04 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.25-8mdk
- fix gimp-print (Till)
- fix requires for new gimp-print

* Tue Oct 03 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.25-7mdk
- spec cleanup (1 define less to update)
- build release as requested by lord FredL

* Wed Sep 27 2000 Vincent Saugey <vince@mandrakesoft.com> 1.1.25-6mdk
- change gimp perl group to graphics

* Sun Sep 17 2000 David BAUDENS <baudens@mandrakesoft.com> 1.1.25-5mdk
- Fix build on PPC

* Sat Sep 02 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.1.25-4mdk
- improve symlinking for compat. symlink.

* Wed Aug 23 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.25-3mdk
- fix bad links in description
- speed up %%install
- make installation of gimp-perl short-circuit compliant
- reuse macros removed by Jan

* Tue Aug 22 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.25-2mdk
- a few minor cleanings
- enable build to use SMP

* Tue Aug 22 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.25-1mdk
- new release
- fix mpeg plugin since the required lib conflicts with KDE2
- add support for SMP
- move the configure in build section, not in prepare one
- fix spec for new pixel spec-helper which delete "*.bs"

* Sun Aug 13 2000 Jan Dittberner <jan@jan-dittberner.de> 1.1.24-4mdk
- bzip2'ed perl patch
- set URL to correct directory

* Sat Aug 12 2000 Reinhard Katzmann <reinhard@suamor.de> 1.1.24-3mdk
- merged with gimp-spec from redhat
- file section improved due to merge (includes gimp-perl now!)
- added a few doc directories (files were already there)

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.1.24-2mdk
- automatically added BuildRequires


* Fri Aug 04 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.24-1mdk
- BM. ok, this one really give me a hard time to build with new rpm :-(
- update to 1.1.24 and remove it from contribs
- don't use find_lang on gimp, it only guess gimp.mo not gimp-std-plugins.mo
  and gimp-script-fu.mo

* Wed Jul 19 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.4-15mdk
- BM & new macros

* Fri Apr 28 2000 DindinX <odin@mandrakesoft.com> 1.0.4-14mdk
- Somewhat fix the icons

* Mon Apr 17 2000 DindinX <odin@mandrakesoft.com> 1.0.4-13mdk
- patch for the logo script so they use 'avantgarde' font which is
  always installed (at least for western language).
  This should close the feature #39 for now, until gimp 1.2
- make the menu entry use the wilbur.xpm icon
- compressed icons

* Thu Apr 13 2000 Francis Galiegue <fg@mandrakesoft.com> 1.0.4-12mdk
- Grrr... Renamed icons because of a conflict with mandrake_desk

* Thu Apr 13 2000 Francis Galiegue <fg@mandrakesoft.com> 1.0.4-11mdk
- Weee... Major spec cleanup
- Menu entry
- Icons
- %files list fixes - was badly needed
- Titi sucks, no version in last changelog

* Thu Mar 23 2000 Thierry Vignaud <tvignaud@mandrakesoft.com>
- updated to use our new tools (spechelper) and new namins standards
- add gimp manpage :-(
- compress the postscripts we provide

* Wed Jan 12 2000 Pixel <pixel@mandrakesoft.com>
- libtoolize

* Tue Nov 02 1999 John Buswell <johnb@mandrakesoft.com>
- Rebuild and Repackage for oxygen

* Tue Oct 06 1999 Francis Galiegue <francis@mandrakesoft.com>
- Recompiled with gcc instead of pgcc, as the latest introduced bugs

* Thu Sep 02 1999 Francis Galiegue <francis@mandrakesoft.com>
- (thanks to Guiseppe Ghib <ghibo@linux-mandrake.com>) added gimptool
  to gimp-devel
- put in debug code, forgot to remove it, done
- (thanks to Guiseppe Ghib <ghibo@linux-mandrake.com>) added aalib
  plugin
* Tue Aug 31 1999 Francis Galiegue <francis@mandrakesoft.com>
- fixed a bug in Makefile.in that made %{_bindir}/install
  try to strip a shell script...
- gimp now prints

* Sun Apr 25 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Removig the prefix=/usrcd/

* Fri Apr 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adaptations.

* Mon Apr  5 1999 Matt Wilson <msw@redhat.com>
- install binaries stripped by default

* Mon Apr  5 1999 Matt Wilson <msw@redhat.com>
- updated to official 1.0.4 release

* Wed Mar 31 1999 Matt Wilson <msw@redhat.com>
- updated for 1.0.4 release
- requires gtk+ >= 1.2

* Sun Mar 14 1999 Matt Wilson <msw@redhat.com>
- updated for 1.0.3 release
- updated group

* Mon Apr 20 1998 Marc Ewing <marc@redhat.com>
- include *.xpm and .wmconfig in CVS source
- removed explicit glibc require

* Thu Apr 16 1998 Marc Ewing <marc@redhat.com>
- Handle builds using autogen.sh
- SMP builds
- put in CVS, and tweak for automatic CVS builds

* Sun Apr 12 1998 Trond Eivind Glomsrd <teg@pvv.ntnu.no>
- Upgraded to 0.99.26

* Sat Apr 11 1998 Trond Eivind Glomsrd <teg@pvv.ntnu.no>
- Upgraded to 0.99.25

* Wed Apr 08 1998 Trond Eivind Glomsrd <teg@pvv.ntnu.no>
- Upgraded to version 0.99.24

* Sun Apr 05 1998 Trond Eivind Glomsrd <teg@pvv.ntnu.no>
- Stop building the docs - they require emacs and
  (even worse), you must run X.

* Fri Mar 27 1998 Trond Eivind Glomsrd <teg@pvv.ntnu.no>
- upgraded to 0.99.23

* Sat Mar 21 1998 Trond Eivind Glomsrd <teg@pvv.ntnu.no>
- No longer requires xdelta, that was a bug on my part
- spec cleanup, changed libgimp copyright, can now be
  built by non-root users, removed some lines in the description

* Fri Mar 20 1998 Trond Eivind Glomsrd <teg@pvv.ntnu.no>
- upgraded to 0.99.22

* Sun Mar 15 1998 Trond Eivind Glomsrd <teg@pvv.ntnu.no>
- upgraded to 0.99.21

* Thu Mar 12 1998 Trond Eivind Glomsrd <teg@pvv.ntnu.no>
- Upgraded to 0.99.20

* Mon Mar 09 1998 Trond Eivind Glomsrd <teg@pvv.ntnu.no>
- Recompiled with gtk+ 0.99.5
- Now requires gtk+ >= 0.99.5 instead of gtk+ 0.99.4

